# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /Users/ec2-user/runner/_work/vision/vision/pytorch/vision/packaging/torchvision, last modified Tue Apr  9 13:30:23 2024
# ------------------------------------------------

package:
  name: torchvision
  version: 0.18.0
source:
  path: /Users/ec2-user/runner/_work/vision/vision/pytorch/vision
build:
  script: python setup.py install --single-version-externally-managed --record=record.txt
  script_env:
    - BUILD_VERSION
    - CUDA_HOME
    - FORCE_CUDA
    - MACOSX_DEPLOYMENT_TARGET
    - TORCH_CUDA_ARCH_LIST
  string: py310_cpu
requirements:
  build:
    - libjpeg-turbo 2.0.0 h1a28f6b_0
    - libpng 1.6.39 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  host:
    - bzip2 1.0.8 h80987f9_5
    - ca-certificates 2024.3.11 hca03da5_0
    - filelock 3.13.1 py310hca03da5_0
    - gmp 6.2.1 hc377ac9_3
    - gmpy2 2.1.2 py310h8c48613_0
    - jinja2 3.1.3 py310hca03da5_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - llvm-openmp 14.0.6 hc6e5704_0
    - markupsafe 2.1.3 py310h80987f9_0
    - mpc 1.1.0 h8c48613_1
    - mpfr 4.0.2 h695f6f0_1
    - mpmath 1.3.0 py310hca03da5_0
    - ncurses 6.4 h313beb8_0
    - networkx 3.1 py310hca03da5_0
    - openssl 3.0.13 h1a28f6b_0
    - pip 23.3.1 py310hca03da5_0
    - python 3.10.14 hb885b13_0
    - pytorch 2.3.0 py3.10_0
    - pyyaml 6.0.1 py310h80987f9_0
    - readline 8.2 h1a28f6b_0
    - setuptools 68.2.2 py310hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - sympy 1.12 py310hca03da5_0
    - tk 8.6.12 hb8d0fd4_0
    - typing_extensions 4.9.0 py310hca03da5_1
    - tzdata 2024a h04d1e81_0
    - wheel 0.41.2 py310hca03da5_0
    - xz 5.4.6 h80987f9_0
    - yaml 0.2.5 h1a28f6b_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - defaults::numpy >=1.11
    - libjpeg-turbo
    - libpng
    - pillow >=5.3.0, !=8.3.*
    - python >=3.10,<3.11.0a0
    - pytorch==2.3.0
    - requests
  run_constrained:
    - cpuonly
test:
  imports:
    - torchvision
    - torchvision.datasets
    - torchvision.transforms
  requires:
    - ca-certificates
    - libjpeg-turbo
    - pytest
    - scipy
  source_files:
    - test
about:
  home: https://github.com/pytorch/vision
  license: BSD
  license_file: LICENSE
  summary: image and video datasets and models for torch deep learning
extra:
  copy_test_source_files: true
  final: true
